IPLOGGER(1)

NAME
iplogger - IPython logger for parallel computing.

DESCRIPTION
Start an IPython logger for parallel computing.

IPython controllers and engines (and your own processes) can broadcast log messages by registering a zmq.log.handlers.PUBHandler with the logging module. The logger can be configured using command line options or using a cluster directory. Cluster directories contain config, log and security files and are usually located in your ipython directory and named as "profile_name". See the profile and profile-dir options for details.

OPTIONS

IPython command-line arguments are passed as '--<flag>', or '--<name>=<value>'.

Arguments that take values are actually convenience aliases to full Configurables, whose aliases are listed on the help line. For more information on full configurables, see '--help-all'.

--debug
    set log level to logging.DEBUG (maximize logging output)

--init
    Initialize profile with default config files. This is equivalent to running ipython profile create <profile> prior to startup.

--log-to-file
    send log output to a file

--quiet
    set log level to logging.CRITICAL (minimize logging output)

--profile=<Unicode> (BaseIPythonApplication.profile)
    Default: u'default' The IPython profile to use.

--log-to-file=<Bool> (BaseParallelApplication.log_to_file)
    Default: False whether to log to a file

--ipython-dir=<Unicode> (BaseIPythonApplication.ipython_dir)
    The name of the IPython directory. This directory is used for logging configuration (through profiles), history storage, etc. The default is usually $XDG_CONFIG_HOME/ipython. This options can also be specified through the environment variable IPYTHON_DIR.

--url=<Unicode> (LogWatcher.url)
    Default: 'tcp://127.0.0.1:20202' ZMQ url on which to listen for log messages

--topics=<List> (LogWatcher.topics)
    Default: [''] The ZMQ topics to subscribe to. Default is to subscribe to all messages

--log-level=<Enum> (Application.log_level)
    Default: 30 Choices: (0, 10, 20, 30, 40, 50, 'DEBUG', 'INFO', 'WARN', 'ERROR', 'CRITICAL') Set the log level by value or name.

--log-url=<Unicode> (BaseParallelApplication.log_url)
    Default: '' The ZMQ URL of the iplogger to aggregate logging.

--clean-logs=<Bool> (BaseParallelApplication.clean_logs)
    Default: False whether to cleanup old logfiles before starting

--profile-dir=<Unicode> (ProfileDir.location)
    Default: u'' Set the profile location directly. This overrides the logic used by the profile option.

--work-dir=<Unicode> (BaseParallelApplication.work_dir)
    Set the working dir for the process.

SEE ALSO
ipython(1), ipcontroller(1), ipengine(1)

AUTHOR
iplogger is a tool that ships with IPython, created by the IPython Development Team.